// Copyright 2011 Thomas Kamps anubis1@linux-ecke.de
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#include "bookmarkbutton.h"
#include "ui_bookmarkbutton.h"

#include <QDebug>

BookmarkButton::BookmarkButton(Bookmark* m, bool managed, QWidget *parent) : QWidget(parent), ui(new Ui::BookmarkButton) {
	ui->setupUi(this);
	m_bookmark = m;

	if (!managed) ui->bDelete->hide();
	else connect(ui->bDelete, SIGNAL(clicked()), this, SLOT(deleteMe()));

	ui->lIcon->setPixmap(m_bookmark->icon().pixmap(16,16));
	ui->lTitle->setText(m_bookmark->title());
	ui->lTitle->setToolTip(m_bookmark->url().toString());

#if defined(Q_WS_WIN)
	ui->frame->setFrameShape(QFrame::Panel);
#endif
}

BookmarkButton::~BookmarkButton() {
	delete ui;
}

void BookmarkButton::deleteMe() {
	emit(toBeDeleted(this));
}
